Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.filter
Class PermalinkFilter

    java.lang.Object
      org.blojsom.filter.PermalinkFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class PermalinkFilter
extends java.lang.Object
implements javax.servlet.Filter

PermalinkFilter

Since:
  blojsom 3.0
Version:
  $Id: PermalinkFilter.java,v 1.1 2006/03/20 21:31:15 czarneckid Exp $
Author:
  David Czarnecki

Nested Class Summary
`class` | `PermalinkFilter.PermalinkRequest` Permalink request

Constructor Summary
`PermalinkFilter()` Default constructor.

Method Summary
`void` | `destroy()` Remove the filter from service
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` Process the request.
`void` | `init(javax.servlet.FilterConfig filterConfig)` Initialize the filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermalinkFilter

    public PermalinkFilter()

  Default constructor.

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Initialize the filter

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `filterConfig` - `FilterConfig`
  Throws:
    `javax.servlet.ServletException` - If there is an error initializing the filter

### destroy

    public void destroy()

  Remove the filter from service

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Process the request.

  Processes requests of the form
  - /YYYY/MM/DD/permalink
  - /YYYY/MM/DD/
  - /YYYY/MM/
  - /YYYY/

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Parameters:
    `request` - `ServletRequest`
    `response` - `ServletResponse`
    `chain` - `FilterChain` to execute
  Throws:
    `java.io.IOException` - If there is an error executing the filter
    `javax.servlet.ServletException` - If there is an error executing the filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD